Bug 977653 - update conflict: file /usr/share/doc/sane-backends-devel-1.0.23/sane-backends-external.html conflicts between attempted installs of sane-backends-devel-1.0.23-10.fc19.i686 and sane-backends-devel-1.0.23-10.fc19.x86_64
update conflict: file /usr/share/doc/sane-backends-devel-1.0.23/sane-backends...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sane-backends (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-25 01:42 EDT by Joachim Backes
Modified: 2013-06-29 14:16 EDT (History)
1 user (show)

See Also:
Fixed In Version: sane-backends-1.0.23-11.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-29 14:16:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Backes 2013-06-25 01:42:16 EDT
Description of problem:
File conflict when trying to update sane-backends-devel-1.0.23


Transaction check error:
  file /usr/share/doc/sane-backends-devel-1.0.23/sane-backends-external.html conflicts between attempted installs of sane-backends-devel-1.0.23-10.fc19.i686 and sane-backends-devel-1.0.23-10.fc19.x86_64
  file /usr/share/doc/sane-backends-devel-1.0.23/sane-backends.html conflicts between attempted installs of sane-backends-devel-1.0.23-10.fc19.i686 and sane-backends-devel-1.0.23-10.fc19.x86_64
  file /usr/share/doc/sane-backends-devel-1.0.23/sane-mfgs-external.html conflicts between attempted installs of sane-backends-devel-1.0.23-10.fc19.i686 and sane-backends-devel-1.0.23-10.fc19.x86_64
  file /usr/share/doc/sane-backends-devel-1.0.23/sane-mfgs.html conflicts between attempted installs of sane-backends-devel-1.0.23-10.fc19.i686 and sane-backends-devel-1.0.23-10.fc19.x86_64

Version-Release number of selected component (if applicable):

1.0.23
How reproducible:
always

Steps to Reproduce:
1.yum update
2.
3.

Actual results:
see description

Expected results:


Additional info:
Comment 1 Fedora Update System 2013-06-25 06:12:37 EDT
sane-backends-1.0.23-11.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2013-11596/sane-backends-1.0.23-11.fc19
Comment 2 Joachim Backes 2013-06-25 07:27:28 EDT
Before update trial: 

rpm -qa|grep -i sane-backends
sane-backends-drivers-scanners-1.0.23-9.fc19.x86_64
sane-backends-1.0.23-9.fc19.x86_64
sane-backends-devel-1.0.23-9.fc19.i686
sane-backends-drivers-scanners-1.0.23-9.fc19.i686
sane-backends-libs-1.0.23-9.fc19.x86_64
sane-backends-drivers-cameras-1.0.23-9.fc19.x86_64
sane-backends-libs-1.0.23-9.fc19.i686
sane-backends-drivers-cameras-1.0.23-9.fc19.i686
sane-backends-devel-1.0.23-9.fc19.x86_64


Downloading needed packages to ~/Downloads and then trying to update fails:

ls -l ~/Downloads

-rw-rw-r--. 1 backes backes  681124 Jun 25 12:46 sane-backends-1.0.23-11.fc19.i686.rpm
-rw-rw-r--. 1 backes backes  684784 Jun 25 12:44 sane-backends-1.0.23-11.fc19.x86_64.rpm
-rw-rw-r--. 1 backes backes   35440 Jun 25 12:46 sane-backends-devel-1.0.23-11.fc19.i686.rpm
-rw-rw-r--. 1 backes backes   35424 Jun 25 12:45 sane-backends-devel-1.0.23-11.fc19.x86_64.rpm
-rw-rw-r--. 1 backes backes  272340 Jun 25 13:20 sane-backends-doc-1.0.23-11.fc19.noarch.rpm
-rw-rw-r--. 1 backes backes   43268 Jun 25 12:46 sane-backends-drivers-cameras-1.0.23-11.fc19.i686.rpm
-rw-rw-r--. 1 backes backes   43356 Jun 25 12:45 sane-backends-drivers-cameras-1.0.23-11.fc19.x86_64.rpm
-rw-rw-r--. 1 backes backes 2251800 Jun 25 12:46 sane-backends-drivers-scanners-1.0.23-11.fc19.i686.rpm
-rw-rw-r--. 1 backes backes 2279280 Jun 25 12:45 sane-backends-drivers-scanners-1.0.23-11.fc19.x86_64.rpm
-rw-rw-r--. 1 backes backes   90104 Jun 25 12:46 sane-backends-libs-1.0.23-11.fc19.i686.rpm
-rw-rw-r--. 1 backes backes   91256 Jun 25 12:45 sane-backends-libs-1.0.23-11.fc19.x86_64.rpm

Now run yum update:

 sudo yum update *
Loaded plugins: langpacks, refresh-packagekit
Examining sane-backends-1.0.23-11.fc19.i686.rpm: sane-backends-1.0.23-11.fc19.i686
Marking sane-backends-1.0.23-11.fc19.i686.rpm as an update to sane-backends-1.0.23-9.fc19.x86_64
Examining sane-backends-1.0.23-11.fc19.x86_64.rpm: sane-backends-1.0.23-11.fc19.x86_64
Marking sane-backends-1.0.23-11.fc19.x86_64.rpm as an update to sane-backends-1.0.23-9.fc19.x86_64
Examining sane-backends-devel-1.0.23-11.fc19.i686.rpm: sane-backends-devel-1.0.23-11.fc19.i686
Marking sane-backends-devel-1.0.23-11.fc19.i686.rpm as an update to sane-backends-devel-1.0.23-9.fc19.i686
Marking sane-backends-devel-1.0.23-11.fc19.i686.rpm as an update to sane-backends-devel-1.0.23-9.fc19.x86_64
Examining sane-backends-devel-1.0.23-11.fc19.x86_64.rpm: sane-backends-devel-1.0.23-11.fc19.x86_64
Marking sane-backends-devel-1.0.23-11.fc19.x86_64.rpm as an update to sane-backends-devel-1.0.23-9.fc19.i686
Marking sane-backends-devel-1.0.23-11.fc19.x86_64.rpm as an update to sane-backends-devel-1.0.23-9.fc19.x86_64
Examining sane-backends-doc-1.0.23-11.fc19.noarch.rpm: sane-backends-doc-1.0.23-11.fc19.noarch
Package sane-backends-doc not installed, cannot update it. Run yum install to install it instead.
Examining sane-backends-drivers-cameras-1.0.23-11.fc19.i686.rpm: sane-backends-drivers-cameras-1.0.23-11.fc19.i686
Marking sane-backends-drivers-cameras-1.0.23-11.fc19.i686.rpm as an update to sane-backends-drivers-cameras-1.0.23-9.fc19.x86_64
Marking sane-backends-drivers-cameras-1.0.23-11.fc19.i686.rpm as an update to sane-backends-drivers-cameras-1.0.23-9.fc19.i686
Examining sane-backends-drivers-cameras-1.0.23-11.fc19.x86_64.rpm: sane-backends-drivers-cameras-1.0.23-11.fc19.x86_64
Marking sane-backends-drivers-cameras-1.0.23-11.fc19.x86_64.rpm as an update to sane-backends-drivers-cameras-1.0.23-9.fc19.x86_64
Marking sane-backends-drivers-cameras-1.0.23-11.fc19.x86_64.rpm as an update to sane-backends-drivers-cameras-1.0.23-9.fc19.i686
Examining sane-backends-drivers-scanners-1.0.23-11.fc19.i686.rpm: sane-backends-drivers-scanners-1.0.23-11.fc19.i686
Marking sane-backends-drivers-scanners-1.0.23-11.fc19.i686.rpm as an update to sane-backends-drivers-scanners-1.0.23-9.fc19.x86_64
Marking sane-backends-drivers-scanners-1.0.23-11.fc19.i686.rpm as an update to sane-backends-drivers-scanners-1.0.23-9.fc19.i686
Examining sane-backends-drivers-scanners-1.0.23-11.fc19.x86_64.rpm: sane-backends-drivers-scanners-1.0.23-11.fc19.x86_64
Marking sane-backends-drivers-scanners-1.0.23-11.fc19.x86_64.rpm as an update to sane-backends-drivers-scanners-1.0.23-9.fc19.x86_64
Marking sane-backends-drivers-scanners-1.0.23-11.fc19.x86_64.rpm as an update to sane-backends-drivers-scanners-1.0.23-9.fc19.i686
Examining sane-backends-libs-1.0.23-11.fc19.i686.rpm: sane-backends-libs-1.0.23-11.fc19.i686
Marking sane-backends-libs-1.0.23-11.fc19.i686.rpm as an update to sane-backends-libs-1.0.23-9.fc19.x86_64
Marking sane-backends-libs-1.0.23-11.fc19.i686.rpm as an update to sane-backends-libs-1.0.23-9.fc19.i686
Examining sane-backends-libs-1.0.23-11.fc19.x86_64.rpm: sane-backends-libs-1.0.23-11.fc19.x86_64
Marking sane-backends-libs-1.0.23-11.fc19.x86_64.rpm as an update to sane-backends-libs-1.0.23-9.fc19.x86_64
Marking sane-backends-libs-1.0.23-11.fc19.x86_64.rpm as an update to sane-backends-libs-1.0.23-9.fc19.i686
Resolving Dependencies
--> Running transaction check
---> Package sane-backends.x86_64 0:1.0.23-9.fc19 will be updated
---> Package sane-backends.x86_64 0:1.0.23-9.fc19 will be obsoleted
---> Package sane-backends.i686 0:1.0.23-11.fc19 will be obsoleting
---> Package sane-backends.x86_64 0:1.0.23-11.fc19 will be obsoleting
---> Package sane-backends-devel.i686 0:1.0.23-9.fc19 will be updated
---> Package sane-backends-devel.x86_64 0:1.0.23-9.fc19 will be updated
---> Package sane-backends-devel.i686 0:1.0.23-11.fc19 will be an update
---> Package sane-backends-devel.x86_64 0:1.0.23-11.fc19 will be an update
---> Package sane-backends-drivers-cameras.i686 0:1.0.23-9.fc19 will be updated
---> Package sane-backends-drivers-cameras.x86_64 0:1.0.23-9.fc19 will be updated
---> Package sane-backends-drivers-cameras.i686 0:1.0.23-11.fc19 will be an update
---> Package sane-backends-drivers-cameras.x86_64 0:1.0.23-11.fc19 will be an update
---> Package sane-backends-drivers-scanners.i686 0:1.0.23-9.fc19 will be updated
---> Package sane-backends-drivers-scanners.x86_64 0:1.0.23-9.fc19 will be updated
---> Package sane-backends-drivers-scanners.i686 0:1.0.23-11.fc19 will be an update
---> Package sane-backends-drivers-scanners.x86_64 0:1.0.23-11.fc19 will be an update
---> Package sane-backends-libs.i686 0:1.0.23-9.fc19 will be updated
---> Package sane-backends-libs.x86_64 0:1.0.23-9.fc19 will be updated
---> Package sane-backends-libs.i686 0:1.0.23-11.fc19 will be an update
---> Package sane-backends-libs.x86_64 0:1.0.23-11.fc19 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

===================================================================================================================================================================================
 Package                                        Arch                   Version                         Repository                                                             Size
===================================================================================================================================================================================
Installing:
 sane-backends                                  i686                   1.0.23-11.fc19                  /sane-backends-1.0.23-11.fc19.i686                                    2.0 M
     replacing  sane-backends.x86_64 1.0.23-9.fc19
 sane-backends                                  x86_64                 1.0.23-11.fc19                  /sane-backends-1.0.23-11.fc19.x86_64                                  2.0 M
     replacing  sane-backends.x86_64 1.0.23-9.fc19
Updating:
 sane-backends-devel                            i686                   1.0.23-11.fc19                  /sane-backends-devel-1.0.23-11.fc19.i686                               31 k
 sane-backends-devel                            x86_64                 1.0.23-11.fc19                  /sane-backends-devel-1.0.23-11.fc19.x86_64                             31 k
Updating for dependencies:
 sane-backends-drivers-cameras                  i686                   1.0.23-11.fc19                  /sane-backends-drivers-cameras-1.0.23-11.fc19.i686                     40 k
 sane-backends-drivers-cameras                  x86_64                 1.0.23-11.fc19                  /sane-backends-drivers-cameras-1.0.23-11.fc19.x86_64                   45 k
 sane-backends-drivers-scanners                 i686                   1.0.23-11.fc19                  /sane-backends-drivers-scanners-1.0.23-11.fc19.i686                   8.3 M
 sane-backends-drivers-scanners                 x86_64                 1.0.23-11.fc19                  /sane-backends-drivers-scanners-1.0.23-11.fc19.x86_64                 8.5 M
 sane-backends-libs                             i686                   1.0.23-11.fc19                  /sane-backends-libs-1.0.23-11.fc19.i686                               172 k
 sane-backends-libs                             x86_64                 1.0.23-11.fc19                  /sane-backends-libs-1.0.23-11.fc19.x86_64                             170 k

Transaction Summary
===================================================================================================================================================================================
Install  2 Packages
Upgrade  2 Packages (+6 Dependent packages)

Total size: 21 M
Is this ok [y/d/N]: y
Downloading packages:
Running transaction check
Running transaction test


Transaction check error:
  file /usr/lib/udev/rules.d/65-libsane.rules conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-abaton.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-apple.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-artec.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-avision.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-bh.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-canon.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-canon630u.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-canon_pp.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-coolscan.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-coolscan2.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-coolscan3.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-dc210.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-dc240.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-dc25.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-dll.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-dmc.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-epson.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-epson2.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-genesys.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-gphoto2.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-gt68xx.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-hp.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-hp3500.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-hp3900.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-hp4200.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-hp5400.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-hp5590.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-hpljm1005.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-hpsj5s.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-hs2p.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-ibm.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-leo.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-lexmark.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-ma1509.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-magicolor.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-matsushita.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-microtek.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-microtek2.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-mustek.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-mustek_pp.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-mustek_usb.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-mustek_usb2.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-nec.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-net.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-niash.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-p5.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-pie.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-pixma.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-plustek.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-plustek_pp.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-qcam.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-ricoh.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-rts8891.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-s9036.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-sceptre.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-sharp.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-sm3600.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-sm3840.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-snapscan.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-st400.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-stv680.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-tamarack.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-teco1.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-teco2.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-teco3.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-test.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-u12.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-umax.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-umax1220u.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-umax_pp.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-v4l.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man5/sane-xerox_mfp.5.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64
  file /usr/share/man/man7/sane.7.gz conflicts between attempted installs of sane-backends-1.0.23-11.fc19.i686 and sane-backends-1.0.23-11.fc19.x86_64

Error Summary
-------------
Comment 3 Nils Philippsen 2013-06-25 07:52:48 EDT
This test is bound to fail:

- You tried to update to both arches of sane-backends (x86_64, i686), but in the yum repos it only exists in the primary architecture.
- Local yum updates don't seem to honor obsoletes, which I used in this case to split off the -doc subpackage.

Please check again when the package hits testing repos. Thanks!
Comment 4 Joachim Backes 2013-06-25 08:10:44 EDT
Sorry for my mistake:

Now, after deleting sane-backends*i686, "yum update" updates flawlessly to

sane-backends-drivers-scanners-1.0.23-10.fc19.x86_64
sane-backends-devel-1.0.23-10.fc19.x86_64
sane-backends-1.0.23-10.fc19.x86_64
sane-backends-libs-1.0.23-10.fc19.x86_64
sane-backends-drivers-cameras-1.0.23-10.fc19.x86_64
Comment 5 Joachim Backes 2013-06-25 08:17:14 EDT
But I'm sure: I did not explicitely install both sane-backends architectures. The only thing I did was to install sane after F19 install.

Scanning /var/log/yum.log shows that the i686 architectures were installed on
may 2:

May 02 12:07:11 Installed: sane-backends-libs-1.0.23-9.fc19.i686
May 02 12:07:23 Installed: sane-backends-drivers-scanners-1.0.23-9.fc19.i686
May 02 12:07:24 Installed: sane-backends-drivers-cameras-1.0.23-9.fc19.i686
May 02 12:07:41 Installed: sane-backends-devel-1.0.23-9.fc19.i686

Don't know who is the culprit!
Comment 6 Nils Philippsen 2013-06-25 09:01:23 EDT
Yum local updates don't always do the same thing as a normal update from a real yum repository. Also: if you want the documentation, you need to install the -doc subpackage now. Thanks for testing!
Comment 7 Fedora Update System 2013-06-26 00:27:48 EDT
sane-backends-1.0.23-10.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-06-27 05:30:29 EDT
sane-backends-1.0.23-11.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/sane-backends-1.0.23-11.fc19
Comment 9 Fedora Update System 2013-06-29 14:16:54 EDT
sane-backends-1.0.23-11.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.